/*******************************************************************************
* Author:					Thomas Fischer
* Email:					thomas-fischer25 t gmx.de
* Erstellungsdatum:			31.07.2009
* Letzte nderung:			02.08.2011
* Dateiname:				uartH.
* Beschreibung:    			Kommunikation ber UART mit Puffer und #-Trennung
* 
* Datum:     Autor:      	Grund der Aenderung:
* 06.08.2010 Fischer    	bernahme des neuen Headers mit Grund der Aenderung
*							Einfhrung der uart_debug Variable
*							F_CPU definieren
* 15.04.2011 Fischer		Einfhren des #-getrennten Sendeverfahrens.
*							Entfernen der nicht mehr bentigten uart_debug
*							Variable und der pck-Funktionen
* 04.05.2011 Fischer		Funktion uart_zahlX
* 05.05.2011 Fischer		Funktion uart_binary
* 14.06.2011 Fischer		Receive and Transmit Buffer with different size.
* 02.08.2011 Fischer		Pindirection selected by uart_init function
********************************************************************************/

#ifndef UART
	#define UART
		
	#ifndef F_CPU
		#define F_CPU 16000000
	#endif
	
	#define UART_REC_BUFFER_SIZE 100
	#define UART_TRA_BUFFER_SIZE 200

	void uart_writec(int8_t databyte);
	void uart_writes(char *text);
	void uart_zahlX(uint8_t digits, uint32_t temp1);
	void uart_binary(uint8_t byte);
	uint8_t uart_getc(uint8_t *databyte);
	uint8_t uart_getcc(uint8_t *databyte);
	void uart_nextc(void);
	uint8_t uart_receiveLen(void);
	void uart_init(uint32_t baudrate);
	
	
		
#endif


